Skip to content

Add jmaplib to the JMAP libraries list - #68

Merged
neilj merged 1 commit into
jmapio:masterfrom
s-aga-r:add-jmaplib
Oct 13, 2026
Merged

neilj merged 1 commit into
jmapio:masterfrom
s-aga-r:add-jmaplib

Conversation

@s-aga-r

@s-aga-r s-aga-r commented Oct 7, 2026

Copy link
Copy Markdown
Contributor

Summary

  • Add jmaplib to the Libraries section of the software page. It is a JMAP client library for Python (AGPL-3.0, published on PyPI) with typed models and sync and async APIs.
  • It covers JMAP Core (RFC 8620), Mail (RFC 8621), WebSocket (RFC 8887), MDN (RFC 9007), Blob management (RFC 9404), Quotas (RFC 9425), Contacts (RFC 9610), Sieve (RFC 9661) and Sharing (RFC 9670), with push over EventSource, Web Push and WebSocket.
  • The entry is placed alphabetically, after jmapc (JMAP compiler) and before melib.

Test plan

  • npx prettier --check pages/software.liquid passes.
  • The page front matter parses as YAML and the new item sits in the Libraries section.

@neilj
neilj merged commit 4788e11 into jmapio:master Oct 13, 2026
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

2 participants